/*
     ______     __                     ___     __
    /\  _  \   /\ \                   /\_ \   /\_\
    \ \ \_\ \  \ \ \      __     ___  \//\ \  \/_/_
     \ \  __ \ `/__ \   /'__`\  / __`\  \ \ \   /\ \
      \ \ \/\ \/\\_\ \_/\ \_\ \/\ \_\ \_ \_\ \_ \_\ \_
       \ \_\ \_\ \_____\ \___\ \ \______\/\____\/\____\
        \/_/\/_/\/_____/\/___L\ \/______/\/____/\/____/
                          /\____/
                          \_/__/




                  An advanced gaming library

                 (c) Stephane APIOU 2000


    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA



*/

//! definition of all adgali features
/*! \file
 * this file defines all adgali features
 * and must be include when you use adgali
 */


#ifndef _adgali_h
#define _adgali_h


/* Set up for C function definitions, even when using C++ */
#ifdef __cplusplus
extern "C" {
#endif

/* initialization */

extern int agl_init(void) ;
extern void agl_exit(void) ;

/* errors management */

#ifndef agl_assert
#define agl_assert(expr)	((void)0)
#endif

extern char *agl_geterror(void); 
extern char *agl_getlasterror(void);

#include "agl_endian.h"
#include "agl_ios.h"
#include "agl_video.h"
#include "agl_gui.h"


/* Ends C function definitions when using C++ */
#ifdef __cplusplus
};
#endif

#endif /* _agl_h */
