/*
     ______     __                     ___     __
    /\  _  \   /\ \                   /\_ \   /\_\
    \ \ \_\ \  \ \ \      __     ___  \//\ \  \/_/_
     \ \  __ \ `/__ \   /'__`\  / __`\  \ \ \   /\ \
      \ \ \/\ \/\\_\ \_/\ \_\ \/\ \_\ \_ \_\ \_ \_\ \_
       \ \_\ \_\ \_____\ \___\ \ \______\/\____\/\____\
        \/_/\/_/\/_____/\/___L\ \/______/\/____/\/____/
                          /\____/
                          \_/__/




                  An advanced gaming library

                 (c) Stephane APIOU 2001


    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA



*/

//! definition of gui's features
/*! \file
 * this file defines the grafical user interface features
 */


#ifndef _adgali_gui_h
#define _adgali_gui_h


/* Set up for C function definitions, even when using C++ */
#ifdef __cplusplus
extern "C" {
#endif


typedef struct agl_fnt {
	struct {
		int (*font_putc)(agl_pix *, struct agl_fnt *, agl_pos *, unsigned char);
		int (*font_printf)(agl_pix *, struct agl_fnt *, agl_pos *, char *);
		int (*font_close)(struct agl_fnt *);
	} routs;	//!< font functions
} agl_font;

extern agl_font *agl_openfont(agl_ios *, int size, int freesrc);
extern int agl_closefont(agl_font *font);
extern int agl_putc(agl_pix *pix, agl_font *fnt, agl_pos *pos, unsigned char c);
extern int agl_printf(agl_pix *pix, agl_font *fnt, agl_pos *pos, int n, char *fmt, ...);


/* Ends C function definitions when using C++ */
#ifdef __cplusplus
};
#endif

#endif /* _agl_h */
